<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version="1.0">
<!-- 
    File         : imageinfo.xsl
    
    Author       : Leonard Rosenthol
    						  Based on code from Lawrence E. Freil

    Date Created : may 7, 2004

    Description  : This file is an XSL stylesheet used as a demonstration
                   for pdfgetAttrs.  It will output a short HTML
		   				  report of all the images used in the file.
    Copywrite(C) - 2004 Apago Inc.
-->

<!-- Text gobbler! -->
<xsl:template match='text()'>
</xsl:template>

<xsl:template match='/'>
  <!-- If the user specified default styles in the view file, then
       we will use those styles and hope he set them up nicely.
       Otherwise we will default to our own style here.
  -->
  <HTML>
  <HEAD>
  <META http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
  </META>
  <TITLE><xsl:value-of select="pdfattrs/@path"/></TITLE>
  <!-- Output the needed javascript -->
  <SCRIPT LANGUAGE="JavaScript">
<![CDATA[
<!--
var bV=parseInt(navigator.appVersion);
NS4=(document.layers) ? true : false;
IE4=((document.all)&&(bV>=4))?true:false;

ver4 = (NS4 || IE4) ? 1 : 0;
function donothing() { return }

// Create the image pre-load array, then let the body pre-load images.
ButtonArray = new Array();
fixButtonArray = new Array();

function preload(imName) {
  ButtonArray[imName + "Up"] = new Image();
  ButtonArray[imName + "Up"].src = imName + "Up.gif";
  ButtonArray[imName + "Over"] = new Image();
  ButtonArray[imName + "Over"].src = imName + "Over.gif";
  ButtonArray[imName + "Down"] = new Image();
  ButtonArray[imName + "Down"].src = imName + "Down.gif";
}

function rollOver(imName,over,imBase) {
  if (over) { document.images[imName].src = ButtonArray[imBase + "Over"].src }
    else { document.images[imName].src = ButtonArray[imBase + "Up"].src }
}

function rollPress(imName,down,imBase) {
  if (down) { document.images[imName].src = ButtonArray[imBase + "Down"].src }
    else { document.images[imName].src = ButtonArray[imBase + "Over"].src }
}

function loadbtns() {
  preload("BTNdelete");
  preload("BTNdownload");
  preload("BTNconvert");
  preload("BTNproof");
  //alert("All buttons used are now pre-loaded");
}
// -->
]]>
  </SCRIPT>
  </HEAD>
  <BODY TEXT="#000000" BGCOLOR="#ffffcc" OnLoad="loadbtns()"> 
  <P ALIGN="CENTER"><IMG SRC="http://www.apago.com/images/3nav2.jpg" alt="3nav2.jpg (15249 bytes)" WIDTH="563" HEIGHT="69"/></P>
  <CENTER>
  <H1>Form Field Report</H1>
  <H3>for</H3>
  <H2><xsl:value-of select="pdfattrs/@path"/></H2>
  </CENTER>

  <STYLE TYPE="text/css">
        DIV.title { background-color:teal; color:white; 
                     font-family:Verdana,arial; font-size:14pt; 
                     padding:2px;
                  }
        DIV.asset { background-color:black; color:white; 
                    font-family:Verdana,arial; font-size:14pt; 
                    padding:2px;
                  }
        A.titlelink { color:aqua; }
        DIV.body { background-color:#ffffcc; color:Black; 
                   padding:2px;
                   font-size:11pt;
                 }
        <!-- The following turns off underlines over links -->
        A { text-decoration: none; }
        A:hover { color:red }
  </STYLE>
  <xsl:apply-templates />
  </BODY>
  </HTML>
</xsl:template>

<xsl:template match="pdfattrs">
	<table border="0" cols="2" width="600" >
		<tr><h3>Document Info</h3></tr>
		<tr><td><b>PDF Version: </b></td><td><xsl:value-of select="./@version"/></td></tr>
		<tr><td><b>Page Count: </b></td><td><xsl:value-of select="count(./page)"/></td></tr>
		<tr><td width="200"><b>Fast Web View Enabled: </b></td><td><xsl:value-of select="./@linearized"/></td></tr>
		<tr><td><b>Encrypted: </b></td><td><xsl:value-of select="./@encrypted"/></td></tr>
		<tr><td><b>Tagged: </b></td><td><xsl:value-of select="./@tagged"/></td></tr>
		<tr><td><b>XMP metadata: </b></td><td><xsl:value-of select="./metadata!=''"/></td></tr>
		<tr>
			<td><b>Filesize: </b></td>
			<xsl:variable name="fsize" select="./@filesize"/>
			<xsl:choose>
				<xsl:when test="1024 > $fsize">
					<td><xsl:value-of select="$fsize"/> bytes</td>
				</xsl:when>
				<xsl:when test="$fsize > 1048576"> <!-- 1 meg -->
					<td><xsl:value-of select="round($fsize div 1048576)"/> MB</td>
				</xsl:when>
				<xsl:otherwise>
					<td><xsl:value-of select="round($fsize div 1024)"/> KB</td>
				</xsl:otherwise>
			</xsl:choose>
		</tr>
		<tr/>
	</table>
  <xsl:apply-templates select="AcroForms/fields" />
</xsl:template>

<xsl:template match="fields">
	<h3>Form Fields</h3>
	<TABLE BORDER="0" width="700" COLS="9">
	<TR>
		<TD><B>Name</B></TD>
		<TD><B>Type</B></TD>
		<TD><B>x</B></TD>
		<TD><B>y</B></TD>
		<TD><B>Height</B></TD>
		<TD><B>Width</B></TD>
		<TD><B>Actions</B></TD>
		<TD><B>Kids</B></TD>
		<TD><B>AltText</B></TD>
	</TR>
	<xsl:apply-templates />
  </TABLE>
</xsl:template>

<!-- Display the info for each field. -->
<xsl:template match="field">
  <TR>
    <TD><xsl:value-of select="./@name"/></TD>
    <TD><xsl:value-of select="./@type"/></TD>
    <xsl:choose>
	   	<xsl:when test="./@x!=''">
	   		<TD><xsl:value-of select="round(./@x)"/></TD>
	   	</xsl:when>
		<xsl:otherwise>
	   		<TD><xsl:value-of select="./@x"/></TD>
		</xsl:otherwise>
	</xsl:choose>
    <xsl:choose>
	   	<xsl:when test="./@y!=''">
	   		<TD><xsl:value-of select="round(./@y)"/></TD>
	   	</xsl:when>
		<xsl:otherwise>
	   		<TD><xsl:value-of select="./@y"/></TD>
		</xsl:otherwise>
	</xsl:choose>
    <xsl:choose>
	   	<xsl:when test="./@height!=''">
	   		<TD><xsl:value-of select="round(./@height)"/></TD>
	   	</xsl:when>
		<xsl:otherwise>
	   		<TD><xsl:value-of select="./@height"/></TD>
		</xsl:otherwise>
	</xsl:choose>
    <xsl:choose>
	   	<xsl:when test="./@width!=''">
	   		<TD><xsl:value-of select="round(./@width)"/></TD>
	   	</xsl:when>
		<xsl:otherwise>
	   		<TD><xsl:value-of select="./@width"/></TD>
		</xsl:otherwise>
	</xsl:choose>
    <TD><xsl:value-of select="count(./actions/action)"/></TD>
    <TD><xsl:value-of select="count(./kids/*)"/></TD>
    <TD><xsl:value-of select="./@alt"/></TD>
  </TR>
</xsl:template>
</xsl:stylesheet>